Skip to main content
Astra Automation
本产品推出了新版本。
简体中文版经机器翻译而成,仅供参考。如与英语版出现任何冲突,应以英语版为准。

列出所有功能

GET /accounts/{account_id}/core/v1/features

返回集合中所有匹配资源的 JSON 数组。如果在请求中指定了单个字段,则项目 JSON 数组将包含按指定顺序为每个匹配资源请求的字段。

参数

名称 Type Required Description

account_id

string

path

True

包含帐户资源的 ID

  • 示例:{{.Account}}

包括

string

查询

False

指示列出集合时应返回哪些字段。

URL 示例:"include=id"、"include=id,name"

OpenAPI 示例:"id"

limit

string

查询

False

指示列出集合时要返回的最大资源数。

URL 示例:"limit=2"

OpenAPI 示例:"2"

筛选器

string

查询

False

指示在列出集合时应匹配哪些字段以返回资源。

支持的运算符有:

  • eq - 相等

  • lt/gt - 小于/大于

  • lte/gte - 小于或等于/大于或等于

URL 示例:"filter=field%20eq%20%27value%27"

OpenAPI 示例:"field eq 'value'"

count

string

查询

False

指示是否应在元数据对象中返回资源总数。

URL 示例:"count=true"

OpenAPI 示例:"true"

订单

string

查询

False

指示列出集合时资源的排序顺序。

URL 示例:"orderBy=name","orderBy=name%20desc"

OpenAPI 示例:"name desc"

跳过

string

查询

False

指示列出集合时要跳过的资源数。

URL 示例:"skip=1"

OpenAPI 示例:"1"

响应

Status: 200, Returns a JSON array of all matching resources in the collection. If individual fields are specified in the request, the items JSON array will contain the fields requested for each matching resource in the order specified.
名称 Type Required Description

个项

数组[任意类型:"feature_1.1_get_response_body",数组[]]

True

元数据

"type_astra_metadata_list"

True

响应示例
{
  "type": "application/astra-features",
  "version": "1.1",
  "items": [
    {
      "type": "application/astra-feature",
      "version": "1.0",
      "id": "c1d4d2f7-9b30-45a2-9657-8b24f17a4fd1",
      "name": "astra.account.rbac",
      "isEnabled": "true",
      "metadata": {
        "labels": [],
        "creationTimestamp": "2021-02-19T22:10:22.448274Z",
        "modificationTimestamp": "2021-02-19T22:10:22.448274Z",
        "createdBy": "c9550bbb-e70b-4578-8504-07397f875bcb"
      }
    },
    {
      "type": "application/astra-feature",
      "version": "1.0",
      "id": "85c693cd-2f89-4944-982a-e885301162bd",
      "name": "astra.account.smtp",
      "isEnabled": "false",
      "metadata": {
        "labels": [],
        "creationTimestamp": "2021-02-19T22:10:22.448274Z",
        "modificationTimestamp": "2021-02-19T22:10:22.448274Z",
        "createdBy": "c9550bbb-e70b-4578-8504-07397f875bcb"
      }
    }
  ],
  "metadata": {
    "labels": [],
    "creationTimestamp": "2022-10-06T20:58:16.305662Z",
    "modificationTimestamp": "2022-10-06T20:58:16.305662Z",
    "createdBy": "8f84cf09-8036-51e4-b579-bd30cb07b269"
  }
}

响应

Status: 401, Unauthorized
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

响应示例
{
  "type": "https://astra.netapp.io/problems/3",
  "title": "Missing bearer token",
  "detail": "The request is missing the required bearer token.",
  "status": "401"
}

响应

Status: 400, Bad request
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

invalidParams

数组["invalidParams"]

False

无效查询参数列表

响应示例
{
  "type": "https://astra.netapp.io/problems/5",
  "title": "Invalid query parameters",
  "detail": "The supplied query parameters are invalid.",
  "status": "400"
}

响应

Status: 403, Forbidden
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

响应示例
{
  "type": "https://astra.netapp.io/problems/11",
  "title": "Operation not permitted",
  "detail": "The requested operation isn't permitted.",
  "status": "403"
}

响应

Status: 503, Service unavailable
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

响应示例
{
  "type": "https://astra.netapp.io/problems/41",
  "title": "Service not ready",
  "detail": "Currently, the service can't respond to this request.",
  "status": "503"
}

错误

Status: 404, Not found
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

错误响应示例
{
  "type": "https://astra.netapp.io/problems/2",
  "title": "Collection not found",
  "detail": "The collection specified in the request URI wasn't found.",
  "status": "404"
}

定义

查看定义

类型 Astra 标签

名称 Type Required Description

name

string

True

value

string

True

type_astra_metadata

与资源关联的客户端和服务指定的元数据。定义的值为:

  • 符合 Astra 元数据架构

名称 Type Required Description

labels

数组["类型 Astra 标签"]

True

creationTimestamp

string

True

modificationTimestamp

string

True

已创建

string

True

modifiedBy

string

False

feature_1.1_get_response_body

名称 Type Required Description

type

string

True

资源的媒体类型。定义的值为:

  • "application/astra-feature"

version

string

True

资源的版本。定义的值为:

  • "1.0"

  • "1.1"

id

string

True

资源的全局唯一标识符。定义的值为:

  • 符合 UUIDv4 架构

name

string

True

包含功能名称的 JSON 字符串,采用分层点表示法。定义的值为:

  • 最小长度:1

  • 最大长度:63

  • 此字符串经过内部验证,以防止 XSS、Unicode、目录遍历和 SQL 注入攻击。

isEnabled

string

True

JSON 字符串,包含指示功能标志是打开还是关闭的值。定义的值为:

  • "true" - 功能标志已启用。

  • "false" - 功能标记已禁用。

元数据

"type_astra_metadata"

True

与资源关联的客户端和服务指定的元数据。定义的值为:

  • 符合 Astra 元数据架构

type_astra_metadata_list

名称 Type Required Description

继续

string

False

count

数字

False

labels

数组["类型 Astra 标签"]

False

creationTimestamp

string

False

modificationTimestamp

string

False

已创建

string

False

modifiedBy

string

False

invalidParams

名称 Type Required Description

name

string

True

无效查询参数的名称

原因

string

True

查询参数无效的原因